#if !defined(VERTICES_H)
#define VERTICES_H

struct s_grid_vertex
{
    s_grid_vertex(float x, float y, D3DCOLOR fg)
        : m_x(x), m_y(y), m_z(0.95f), m_rhw(1.f), m_fg(fg)
    {}
    ~s_grid_vertex()
    {}

    float m_x, m_y, m_z, m_rhw;
    D3DCOLOR m_fg;

    static const DWORD FVF;
};

struct s_circle_vertex
{
    s_circle_vertex(float theta, D3DCOLOR fg)
        : m_pos(2.f*D3DXVECTOR3(cosf(theta), sinf(theta), 0)),
        m_fg(fg)
    {}
    ~s_circle_vertex()
    {}

    D3DXVECTOR3 m_pos;
    D3DCOLOR m_fg;

    static const DWORD FVF;
};

#endif
